Passer au contenu principal
GET
/
v1
/
music
/
generations
/
{id}
curl "https://api.lemondata.cc/v1/music/generations/music_abc123" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "suno:abc123",
  "status": "completed",
  "audio_url": "https://cdn.suno.ai/abc123.mp3",
  "video_url": "https://cdn.suno.ai/abc123.mp4",
  "title": "Night Drive",
  "lyrics": "[Verse 1]\nDriving through the night..."
}
Interrogez cet endpoint pour vérifier le statut de votre tâche de génération de musique.

Paramètres de chemin

id
string
requis
L’ID de la tâche de génération de musique.

Réponse

id
string
ID de la tâche.
status
string
Statut de la tâche : pending, processing, completed ou failed.
progress
integer
Pourcentage de progression (0-100).
audio_url
string
URL pour télécharger le fichier audio (une fois terminé).
video_url
string
URL vers la version vidéo avec visualiseur (une fois terminé).
title
string
Titre de la chanson générée.
lyrics
string
Paroles générées ou fournies.
error
string
Message d’erreur (en cas d’échec).
curl "https://api.lemondata.cc/v1/music/generations/music_abc123" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "suno:abc123",
  "status": "completed",
  "audio_url": "https://cdn.suno.ai/abc123.mp3",
  "video_url": "https://cdn.suno.ai/abc123.mp4",
  "title": "Night Drive",
  "lyrics": "[Verse 1]\nDriving through the night..."
}